pcl::NdCopyPointEigenFunctor< PointInT > Struct Template Reference

Helper functor structure for copying data between an Eigen type and a PointT. More...

`#include <pcl/point_cloud.h>`

## Public Types

using | Pod = typename traits::POD< PointInT >::type

## Public Member Functions

| NdCopyPointEigenFunctor (const PointInT &p1, Eigen::VectorXf &p2)
| Constructor. More...
template<typename Key >
void | operator() ()
| Operator. More...

## Detailed Description

### template<typename PointInT>
struct pcl::NdCopyPointEigenFunctor< PointInT >

Helper functor structure for copying data between an Eigen type and a PointT.

Definition at line 109 of file point_cloud.h.

## Member Typedef Documentation

## Pod

template<typename PointInT >

using pcl::NdCopyPointEigenFunctor< PointInT >::Pod = typename traits::POD<PointInT>::type

Definition at line 111 of file point_cloud.h.

## Constructor & Destructor Documentation

## NdCopyPointEigenFunctor()

template<typename PointInT >

pcl::NdCopyPointEigenFunctor< PointInT >::NdCopyPointEigenFunctor | ( | const PointInT & | p1,
|  | Eigen::VectorXf & | p2
| ) |  |

inline

Constructor.

Parameters

  [in] | p1 | the input Point type
  [out] | p2 | the output Eigen type

Definition at line 117 of file point_cloud.h.

## Member Function Documentation

## operator()()

template<typename PointInT >
template<typename Key >

void pcl::NdCopyPointEigenFunctor< PointInT >::operator() | ( |  | ) |

inline

Operator.

Data copy happens here.

Definition at line 122 of file point_cloud.h.

The documentation for this struct was generated from the following file:

- pcl/point_cloud.h